Package com.independentsoft.office.odf.styles

# Enum Class FormatSource

java.lang.Object
java.lang.Enum<FormatSource>
com.independentsoft.office.odf.styles.FormatSource

All Implemented Interfaces:
  `Serializable`, `Comparable<FormatSource>`, `Constable`

public enum FormatSource extends Enum<FormatSource>
Represents the source of definitions of the short and long display formats.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIXED`
  The values short and long o are defined by this standard.
  `LANGUAGE`
  The meaning of the values long and short depend upon the language and country of the date style.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FormatSource`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormatSource[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIXED

    public static final FormatSource FIXED
    The values short and long o are defined by this standard.

  - ### LANGUAGE

    public static final FormatSource LANGUAGE
    The meaning of the values long and short depend upon the language and country of the date style. If neither of those attributes are specified, consumers should use their default locale for short and long date and time formats.

  - ### NONE

    public static final FormatSource NONE
    None.

- ## Method Details

  - ### values

    public static FormatSource[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FormatSource valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null